# Class Map
Represents a map.

### Extends
* [Events](_events_.events.md)

## Index

### Constructors
* [constructor](_map_.map.md#constructor)

### Properties
* [_clickable](_map_.map.md#_clickable)
* [_map](_map_.map.md#_map)
* [RELIEF_SOURCE](_map_.map.md#relief_source)
* [backend_gl](_map_.map.md#backend_gl)

### Methods
* [addControl](_map_.map.md#addcontrol)
* [addLayer](_map_.map.md#addlayer)
* [addSource](_map_.map.md#addsource)
* [bicycleLayers](_map_.map.md#bicyclelayers)
* [contourLayers](_map_.map.md#contourlayers)
* [debug](_map_.map.md#debug)
* [fitBounds](_map_.map.md#fitbounds)
* [getCenter](_map_.map.md#getcenter)
* [getLanguage](_map_.map.md#getlanguage)
* [getMaxZoom](_map_.map.md#getmaxzoom)
* [getMinZoom](_map_.map.md#getminzoom)
* [getZoom](_map_.map.md#getzoom)
* [hasLayer](_map_.map.md#haslayer)
* [hasSource](_map_.map.md#hassource)
* [off](_map_.map.md#off)
* [on](_map_.map.md#on)
* [panTo](_map_.map.md#panto)
* [reliefLayers](_map_.map.md#relieflayers)
* [remove](_map_.map.md#remove)
* [removeControl](_map_.map.md#removecontrol)
* [removeLayer](_map_.map.md#removelayer)
* [removeSource](_map_.map.md#removesource)
* [setCenter](_map_.map.md#setcenter)
* [setLanguage](_map_.map.md#setlanguage)
* [setZoom](_map_.map.md#setzoom)
* [isGL](_map_.map.md#isgl)

## Constructors

### new Map(options: [MapOptions](../interfaces/_map_.mapoptions.md)): [Map](_map_.map.md)
  
* Defined in Map.ts:25


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| options | [MapOptions](../interfaces/_map_.mapoptions.md)|  |

#### Returns: [Map](_map_.map.md)

## Properties

### Private _clickable: string[]

* Defined in Map.ts:25


### Private _map: any

* Defined in Map.ts:24


### Static Private RELIEF_SOURCE: string

* Defined in Map.ts:23


### Static Private backend_gl: boolean

* Defined in Map.ts:22


## Methods

### addControl(ctrl: [Control](_control_.control.md)): [Map](_map_.map.md)
  
* Defined in Map.ts:98


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| ctrl | [Control](_control_.control.md)|  |

#### Returns: [Map](_map_.map.md)

### addLayer(layer: [Layer](_layer_.layer.md)): [Map](_map_.map.md)
  
* Defined in Map.ts:132


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| layer | [Layer](_layer_.layer.md)|  |

#### Returns: [Map](_map_.map.md)

### addSource(source: [Source](_source_.source.md)): [Map](_map_.map.md)
  
* Defined in Map.ts:112


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| source | [Source](_source_.source.md)|  |

#### Returns: [Map](_map_.map.md)

### bicycleLayers(state: boolean): [Map](_map_.map.md)
Switch bicycle layers on or off.  
* Defined in Map.ts:278


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| state | boolean| Show or hides the layers |

#### Returns: [Map](_map_.map.md)

### contourLayers(state: boolean, options?: [ContourOptions](../interfaces/_map_.contouroptions.md)): [Map](_map_.map.md)
Switch contour layers on or off.  
* Defined in Map.ts:366


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| state | boolean| Show or hides the layer |
| options? | [ContourOptions](../interfaces/_map_.contouroptions.md)| Options to choose elevation unit foot or meter |

#### Returns: [Map](_map_.map.md)

### debug(state: boolean): [Map](_map_.map.md)
  
* Defined in Map.ts:253


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| state | boolean|  |

#### Returns: [Map](_map_.map.md)

### fitBounds(bounds: [LatLngBounds](_latlng_.latlngbounds.md), options?: [FitBoundsOptions](../interfaces/_map_.fitboundsoptions.md), event?: [EventObject](_events_.eventobject.md)): [Map](_map_.map.md)
  
* Defined in Map.ts:244


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| bounds | [LatLngBounds](_latlng_.latlngbounds.md)|  |
| options? | [FitBoundsOptions](../interfaces/_map_.fitboundsoptions.md)|  |
| event? | [EventObject](_events_.eventobject.md)|  |

#### Returns: [Map](_map_.map.md)

### getCenter(): any
  
* Defined in Map.ts:85

#### Returns: any

### getLanguage(): string
  
* Defined in Map.ts:267

#### Returns: string

### getMaxZoom(): number
  
* Defined in Map.ts:81

#### Returns: number

### getMinZoom(): number
  
* Defined in Map.ts:77

#### Returns: number

### getZoom(): number
  
* Defined in Map.ts:68

#### Returns: number

### hasLayer(layer: [Layer](_layer_.layer.md)): boolean
  
* Defined in Map.ts:159


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| layer | [Layer](_layer_.layer.md)|  |

#### Returns: boolean

### hasSource(source: [Source](_source_.source.md)): boolean
  
* Defined in Map.ts:175


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| source | [Source](_source_.source.md)|  |

#### Returns: boolean

### off(event: string, listener: any, targets?: string[]): [Map](_map_.map.md)
  
* Overwrites [Events](_events_.events.md).[off](_events_.events.md#off)
* Defined in Map.ts:220


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event | string|  |
| listener | any|  |
| targets? | string[]|  |

#### Returns: [Map](_map_.map.md)

### on(event: string, listener: any, targets?: string[]): [Map](_map_.map.md)
  
* Overwrites [Events](_events_.events.md).[on](_events_.events.md#on)
* Defined in Map.ts:183


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event | string|  |
| listener | any|  |
| targets? | string[]|  |

#### Returns: [Map](_map_.map.md)

### panTo(ll: any): [Map](_map_.map.md)
  
* Defined in Map.ts:239


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| ll | any|  |

#### Returns: [Map](_map_.map.md)

### reliefLayers(state: boolean, options?: [ReliefOptions](../interfaces/_map_.reliefoptions.md)): [Map](_map_.map.md)
Switch relief layers on or off.  
* Defined in Map.ts:302


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| state | boolean| Show or hides the layer |
| options? | [ReliefOptions](../interfaces/_map_.reliefoptions.md)| Option to choose raster or vector rendering |

#### Returns: [Map](_map_.map.md)

### remove(): void
  
* Defined in Map.ts:58

#### Returns: void

### removeControl(ctrl: [Control](_control_.control.md)): [Map](_map_.map.md)
  
* Defined in Map.ts:103


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| ctrl | [Control](_control_.control.md)|  |

#### Returns: [Map](_map_.map.md)

### removeLayer(layer: [Layer](_layer_.layer.md)): [Map](_map_.map.md)
  
* Defined in Map.ts:145


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| layer | [Layer](_layer_.layer.md)|  |

#### Returns: [Map](_map_.map.md)

### removeSource(source: [Source](_source_.source.md)): [Map](_map_.map.md)
  
* Defined in Map.ts:122


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| source | [Source](_source_.source.md)|  |

#### Returns: [Map](_map_.map.md)

### setCenter(ll: any): [Map](_map_.map.md)
  
* Defined in Map.ts:89


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| ll | any|  |

#### Returns: [Map](_map_.map.md)

### setLanguage(lang: string): [Map](_map_.map.md)
  
* Defined in Map.ts:260


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| lang | string|  |

#### Returns: [Map](_map_.map.md)

### setZoom(zoom: number): [Map](_map_.map.md)
  
* Defined in Map.ts:72


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| zoom | number|  |

#### Returns: [Map](_map_.map.md)

### Static isGL(): boolean
  
* Defined in Map.ts:64

#### Returns: boolean


Generated using [TypeDoc](http://typedoc.io)
